<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
require_once('../php_facturar/totales_facturar.php');

if($sumador_total>'0')
{
?>
<div class="col-md-12" style="padding:0px;"> 
    <div class="btn-group btn-group-justified btn-group-sm" style="padding-bottom: 5px;">
        <?php if($negocio_neg_id=='2'){?>
        <a href="tirillas/pedido_fac.php" target="_blank" class="btn btn-warning">RECIBO</a>
        <?php } ?>
        <a href="tirillas/prefactura2.php" target="_blank" class="btn btn-primary">PREFACTURA</a>

      
        
        <a href="#cotizar" class="btn btn-default" data-toggle="modal" type="button" accesskey="t" title="alt + t">COTIZAR</a>

    <?php 
        if ($no_global_total>0 && $restrincion_seriales=='si')
        { 
            echo '<a class="btn btn-info" onclick="seriales_verificar()" accesskey="p" title="alt + p">APARTAR</a>';
        }   
        else   
        {  
            if ($venci>0 && $credito_sin_limite=='no' )
            {
                echo '<a class="btn btn-info" onclick="saldo_vencido()" accesskey="p" title="alt + p">APARTAR</a>';
            }
            else
            {
                echo '<a  href="#apartar" class="btn btn-info" data-toggle="modal" accesskey="p" title="alt + p">APARTAR</a>';
            }
        }  
    ?>
        <a href="#cancelar" class="btn btn-warning" data-toggle="modal" accesskey="c" title="alt + c">CANCELAR</a>
    </div>
    <?php include('../php_facturar/form_cotizar.php'); ?>
    <?php include('../php_facturar/form_apartar.php'); ?>

    <div class="btn-group btn-group-justified btn-group-sm">
    <?php 
        if ($no_global_total>0 && $restrincion_seriales=='si')
        { 
            echo '<a class="btn btn-danger" onclick="seriales_verificar()" accesskey="j" title="alt + j">COMPLETAR VENTA</a>';
        }   
        else   
        {  
            if ($venci>0 && $credito_sin_limite=='no' )
            {
                echo '<a class="btn btn-danger" onclick="saldo_vencido()" accesskey="j" title="alt + j">COMPLETAR VENTA</a>';
            }
            else
            {
                if($facturacion_directa<>'si') {
            ?>
                <a class="btn btn-fact btn-danger" accesskey="j" title="alt + j">COMPLETAR VENTA</a>
                <?php } else { ?>
            <form method="post" action="" name="form_efectivo_efec" id="form_efectivo_efec">
            <input type="hidden" name="forma_pago" id="forma_pago" value="Contado">
            <input type="hidden" name="tipo_venta" value="remision">
            <div style="display: none;">
                <select name="serie_remi" id="serie_remi" class="form-control name_list" >
                    <?php
                        $serie11=mysqli_query($con,"SELECT * FROM serie_factura WHERE empresa='$empresa' and ser_predeterminda='si' and ser_tipo='remision' and ser_estado='activo' ") ;
                        while( $serie1 = mysqli_fetch_array( $serie11 ) )
                        {
                            echo' <option value="'.$serie1['ser_id'].'">'.$serie1['ser_prefijo'].' '.$serie1['ser_inicio'].'-'.$serie1['ser_fin'].'</option>';
                        }

                        $serie11=mysqli_query($con,"SELECT * FROM serie_factura WHERE empresa='$empresa' and ser_predeterminda='no' and ser_tipo='remision' and ser_estado='activo' ") ;
                        while( $serie1 = mysqli_fetch_array( $serie11 ) )
                        {
                            echo' <option value="'.$serie1['ser_id'].'">'.$serie1['ser_prefijo'].' '.$serie1['ser_inicio'].'-'.$serie1['ser_fin'].'</option>';
                        }
                    ?>
                </select>
                <select name="vendedor" id="vendedor" class="form-control name_list" >
                    <?php
                        $datos=mysqli_query($con,"SELECT * FROM usuario WHERE empresa_emp_id='$empresa' and usu_id='$usu_id' and usu_estado='Activo'");
                        while( $fila = mysqli_fetch_array( $datos ) )
                        {
                            echo' <option value="'.$fila['usu_id'].'">'.$fila['usu_nombre'].'</option>';
                        }
                    ?>
                </select>
            </div>
            <input type="hidden" name="total_punto" id="total_punto" value="0">
            <input type="hidden" name="comicion" id="comicion" value="">
            <input type="hidden" name="efectivo" id="efectivo" min="<?php echo round($sumador_total, 0, PHP_ROUND_HALF_EVEN); ?>" value="<?php echo round($sumador_total, 0, PHP_ROUND_HALF_EVEN); ?>" >
            <a name="btn_efectivo1" id="btn_efectivo1" value="btn_efectivo1" type="submit" class="btn btn-danger" accesskey="j" title="alt + j" ><i class="icon-ok"></i> <strong>COMPLETAR VENTA</strong></a> 
        </div>
    </form>
<script type="text/javascript">
    $(function() {
    $("#btn_efectivo1").click(function(event) {
    event.preventDefault();
    $('#btn_efectivo1').attr("disabled", true);
    var parametros = $("#form_guia, #form_efectivo_efec").serialize();
     $.ajax({
        type: "POST",
        url: "php_facturar/registrar_venta.php",
        data: parametros,
        beforeSend: function(objeto){
            $('#carga').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
            $("#carga").html(datos);
            $('#btn_efectivo1').attr("disabled", false);
             $('html, body').animate({
    scrollTop: $("#inicio").offset().top
    }, 500);
            loadTabla();
            loadcliente();
            loadtotal();
            limpiar_campos();
            limpiar_buscador();
            loadbotones();
            load(1);
            }
        });
    });
});

</script>
         <?php  }  ?>

            <?php }
        }  
    ?>
    </div>

    

</div>
<?php } ?>
<script>
$(".btn-fact").click(function(){
    $.get("./php_facturar_remision/form_facturar.php",function(data){
        $("#form-fact").html(data);
    });
    $('#cobrar').modal('show');
});
</script>
<div class="modal fade" id="cobrar" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header" style="background-color: red;">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Completar Venta</h4>
            </div>
            <div class="modal-body">
                <div id="form-fact"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<script>
function seriales_verificar()
{
    alert('DEBE VERIFICAR LOS SERIALES');
}
function saldo_vencido()
{
    alert('No puede facturar con saldo vencido por pagar.');
}
</script>